% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DescriptiveStats.R
\name{densityPlotD}
\alias{densityPlotD}
\title{Builds a densityplot from a dataframe}
\usage{
densityPlotD(qData, labelsForLegend = NULL, indData2Show = NULL,
  group2Color = "Condition")
}
\arguments{
\item{qData}{A dataframe that contains quantitative data.}

\item{labelsForLegend}{A vector of the conditions (labels) (one label 
per sample).}

\item{indData2Show}{A vector of indices to show in densityplot. If NULL, 
then all labels are displayed.}

\item{group2Color}{A string that indicates how to color the replicates: 
one color per condition (value "Condition") or one 
color per replicate (value "Replicate"). Default value is by Condition.}
}
\value{
A density plot
}
\description{
Densityplot of quantitative proteomics data over samples.
}
\examples{
data(UPSpep25)
qData <- Biobase::exprs(UPSpep25)
labels <- lab2Show <- Biobase::pData(UPSpep25)[,"Label"]
densityPlotD(qData, labels)
}
\author{
Florence Combes, Samuel Wieczorek
}
\seealso{
\code{\link{boxPlotD}}, \code{\link{varianceDistD}}
}

