% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DiffAnalysis.R
\name{wrapper.diffAnaWelch}
\alias{wrapper.diffAnaWelch}
\title{Performs a differential analysis on a \code{\link{MSnSet}} object
using the Welch t-test}
\usage{
wrapper.diffAnaWelch(obj, condition1, condition2)
}
\arguments{
\item{obj}{An object of class \code{\link{MSnSet}}.}

\item{condition1}{A vector containing the names of the conditions 
considered as condition 1.}

\item{condition2}{A vector containing the names of the conditions 
considered as condition 2.}
}
\value{
A dataframe with two slots : P.Value (for the p-value) and logFC
(the log of the Fold Change).
}
\description{
Computes differential analysis on
a \code{\link{MSnSet}} object, using the Welch t-test
(\code{\link{t.test}{stats}}).
}
\examples{
data(UPSpep25)
condition1 <- '25fmol'
condition2 <- '10fmol'
wrapper.diffAnaWelch(UPSpep25, condition1, condition2)
}
\author{
Alexia Dorffer
}

